Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.media.chart
Class HistogramSeriesAttributes

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      sim.util.gui.LabelledList
                          sim.util.media.chart.SeriesAttributes
                              sim.util.media.chart.HistogramSeriesAttributes

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class HistogramSeriesAttributes

extends SeriesAttributes

A SeriesAttributes used for user control of histogram series created with HistogramGenerator. Unfortunately JFreeChart doesn't have nearly as well-designed a histogram chart facility as its time series charts. There is no HistogramSeries object to encapsulate a series, and no facilities for deleting or moving series relative to one another.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class sim.util.media.chart.SeriesAttributes
`I_CLOSE, I_CLOSE_PRESSED, I_DOWN, I_DOWN_PRESSED, I_UP, I_UP_PRESSED`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`HistogramSeriesAttributes(ChartGenerator generator, java.lang.String name, int index, double[] values, int bins, SeriesChangeListener stoppable)` Produces a HistogramSeriesAttributes object with the given generator, series name, series index, and desire to display margin options.

Method Summary
`void` | `buildAttributes()` Constructs the widget by adding items to the LabelledList.
`java.awt.Color` | `getFillColor()`
`double` | `getFillOpacity()`
`int` | `getNumBins()`
`java.awt.Color` | `getStrokeColor()`
`double` | `getStrokeOpacity()`
`double` | `getThickness()`
`void` | `rebuildGraphicsDefinitions()` Updates features of the series to reflect the current widget settings as specified by the user.
`void` | `setFillColor(java.awt.Color value)`
`void` | `setFillOpacity(double value)`
`void` | `setName(java.lang.String val)` It's very expensive to call this function (O(n)) because JFreeChart has no way of changing the name of a histogram dataset series, and so we must rebuild all of it from scratch.
`void` | `setNumBins(int value)`
`void` | `setStrokeColor(java.awt.Color value)`
`void` | `setStrokeOpacity(double value)`
`void` | `setThickness(double value)`

Methods inherited from class sim.util.media.chart.SeriesAttributes
`getGenerator, getName, getPlot, getRenderer, getSeriesIndex, getStoppable, reviseColor, setSeriesIndex, setStoppable`

Methods inherited from class sim.util.gui.LabelledList
`add, add, add, addComponent, addLabelled`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HistogramSeriesAttributes

    public HistogramSeriesAttributes(ChartGenerator generator,
                                     java.lang.String name,
                                     int index,
                                     double[] values,
                                     int bins,
                                     SeriesChangeListener stoppable)

  Produces a HistogramSeriesAttributes object with the given generator, series name, series index, and desire to display margin options.

Method Detail

### setFillOpacity

    public void setFillOpacity(double value)

### getFillOpacity

    public double getFillOpacity()

### setStrokeOpacity

    public void setStrokeOpacity(double value)

### getStrokeOpacity

    public double getStrokeOpacity()

### setThickness

    public void setThickness(double value)

### getThickness

    public double getThickness()

### setNumBins

    public void setNumBins(int value)

### getNumBins

    public int getNumBins()

### setFillColor

    public void setFillColor(java.awt.Color value)

### getFillColor

    public java.awt.Color getFillColor()

### setStrokeColor

    public void setStrokeColor(java.awt.Color value)

### getStrokeColor

    public java.awt.Color getStrokeColor()

### setName

    public void setName(java.lang.String val)

  It's very expensive to call this function (O(n)) because JFreeChart has no way of changing the name of a histogram dataset series, and so we must rebuild all of it from scratch.

  Overrides:
    `setName` in class `SeriesAttributes`

### rebuildGraphicsDefinitions

    public void rebuildGraphicsDefinitions()

  Description copied from class: `SeriesAttributes`
  Updates features of the series to reflect the current widget settings as specified by the user.

  Specified by:
    `rebuildGraphicsDefinitions` in class `SeriesAttributes`

### buildAttributes

    public void buildAttributes()

  Description copied from class: `SeriesAttributes`
  Constructs the widget by adding items to the LabelledList. Will be called in the middle of the SeriesAttributes constructor, and so certain instance variables may not yet have been initialized.

  Specified by:
    `buildAttributes` in class `SeriesAttributes`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD